<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador || isDisenador">
        <mat-toolbar>
            <span>Lista de Tareas del flujo:</span> &nbsp;
            
            <div class="example-spacer"></div>
             <button mat-raised-button color="accent" routerLink="/listarMisFlujos">Volver</button> 
        </mat-toolbar>
        <mat-toolbar>
            <span style="text-transform: capitalize; color: brown; float: right;" > Responsable: {{getNombreResponsable()}}</span>
            <div class="example-spacer"></div>
            <span style="text-transform: capitalize; color: brown;" > Fecha Asignacion: {{getFechaAsignacionFlujo()}}</span>
        </mat-toolbar>
    
        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>
        
    
        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>
    
                <!-- Position Column -->
        
                <!-- Weight Column -->
                <ng-container matColumnDef="nombres_jefatura">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> nombres_jefatura </th>
                    <td mat-cell *matCellDef="let element"> {{element.nombres_jefatura}} </td>
                </ng-container>
        
                <!-- Weight Column -->
                <ng-container matColumnDef="fecha_plazo">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> fecha_plazo </th>
                    <td mat-cell *matCellDef="let element"> {{element.fecha_plazo |date:"shortDate"}} </td>
                </ng-container>

                <ng-container matColumnDef="nombre_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> nombre_tarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.nombre_tarea}} </td>
                </ng-container>

                <ng-container matColumnDef="descripcion_tarea">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> descripcion_tarea </th>
                    <td mat-cell *matCellDef="let element"> {{element.descripcion_tarea}} </td>
                </ng-container>

                <ng-container matColumnDef="nombre_estado">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> nombre_estado </th>
                    <td mat-cell *matCellDef="let element"> {{element.nombre_estado}} </td>
                </ng-container>
                

                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">
                        
                        <a class="pointer" (click)="editarEstadoTarea(element.id_tarea_flujo_empleado, element.nombre_tarea,
                        element.fecha_plazo, element.fecha_asignacion)"  matTooltip="Editar Flujo">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>
                        <!--
                        &nbsp;
                        <a class="pointer" matTooltip="Agregar Tarea"(click)="crearTareaFlujo(element.id_flujo_trabajo)">
                            <mat-icon color="primary">library_add</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="listarTareasFlujo(element.id_flujo_trabajo)"
                            matTooltip="Listar Tareas">
                            <mat-icon> format_list_numbered</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="editarFlujosDeTrabajos(element.id_flujo_trabajo)"  matTooltip="Editar Flujo">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="eliminarFlujosDeTrabajos(element.id_flujo_trabajo)" matTooltip="Eliminar Flujo">
                            <mat-icon color="warn">delete</mat-icon>
                        </a>
                        -->
        
                    </td>
                </ng-container>
        
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>
    
    </ng-container>

    
</div>
